[arch-commits] Commit in gst-plugins-bad/repos (4 files)
Jan Steffens
heftig at archlinux.org
Sun Oct 9 15:03:01 UTC 2016
Date: Sunday, October 9, 2016 @ 15:03:00
Author: heftig
Revision: 277962
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gst-plugins-bad/repos/testing-i686/
gst-plugins-bad/repos/testing-i686/PKGBUILD
(from rev 277961, gst-plugins-bad/trunk/PKGBUILD)
gst-plugins-bad/repos/testing-x86_64/
gst-plugins-bad/repos/testing-x86_64/PKGBUILD
(from rev 277961, gst-plugins-bad/trunk/PKGBUILD)
-------------------------+
testing-i686/PKGBUILD | 65 ++++++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 65 ++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 130 insertions(+)
Copied: gst-plugins-bad/repos/testing-i686/PKGBUILD (from rev 277961, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-10-09 15:03:00 UTC (rev 277962)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.9.90+14+gfb36608
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 faac celt libdca
+ soundtouch spandsp libdvdnav libmodplug libgme wayland neon libofa fluidsynth
+ openjpeg2 libwebp libsrtp gnutls wildmidi glu sbc rtmpdump libgudev graphene)
+makedepends=(schroedinger libexif libdvdread libvdpau libmpeg2 python valgrind wildmidi librsvg
+ gobject-introspection gtk-doc gtk3 clutter libtiger ladspa openal libusb
+ qt5-declarative qt5-x11extras qt5-wayland vulkan-headers vulkan-icd-loader
+ zbar autoconf-archive git)
+options=(!emptydirs)
+_commit=fb36608ccd95004b3c2b38d6451c009fbad899b6 # master
+source=("git://anongit.freedesktop.org/gstreamer/gst-plugins-bad#commit=$_commit"
+ "gst-common::git://anongit.freedesktop.org/gstreamer/common")
+sha256sums=('SKIP'
+ 'SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+
+ git submodule init
+ git config --local submodule.common.url "$srcdir/gst-common"
+ git submodule update
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0 \
+ --enable-experimental --enable-gtk-doc --disable-static
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
Copied: gst-plugins-bad/repos/testing-x86_64/PKGBUILD (from rev 277961, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-10-09 15:03:00 UTC (rev 277962)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.9.90+14+gfb36608
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 faac celt libdca
+ soundtouch spandsp libdvdnav libmodplug libgme wayland neon libofa fluidsynth
+ openjpeg2 libwebp libsrtp gnutls wildmidi glu sbc rtmpdump libgudev graphene)
+makedepends=(schroedinger libexif libdvdread libvdpau libmpeg2 python valgrind wildmidi librsvg
+ gobject-introspection gtk-doc gtk3 clutter libtiger ladspa openal libusb
+ qt5-declarative qt5-x11extras qt5-wayland vulkan-headers vulkan-icd-loader
+ zbar autoconf-archive git)
+options=(!emptydirs)
+_commit=fb36608ccd95004b3c2b38d6451c009fbad899b6 # master
+source=("git://anongit.freedesktop.org/gstreamer/gst-plugins-bad#commit=$_commit"
+ "gst-common::git://anongit.freedesktop.org/gstreamer/common")
+sha256sums=('SKIP'
+ 'SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+
+ git submodule init
+ git config --local submodule.common.url "$srcdir/gst-common"
+ git submodule update
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib \
+ --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+ --with-package-origin="http://www.archlinux.org/" \
+ --with-gtk=3.0 \
+ --enable-experimental --enable-gtk-doc --disable-static
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ # don't have a camera for the camerabin test
+ make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list